## r-cran-testthat 0.7.1

=== DESCRIPTION ===
Package: testthat
Type: Package
Title: Testthat code.  Tools to make testing fun :)
Version: 0.7.1
Author: Hadley Wickham <h.wickham@gmail.com>
Maintainer: Hadley Wickham <h.wickham@gmail.com>
Description: A testing package specifically tailored for R that's fun,
        flexible and easy to set up.
URL: http://had.co.nz/
Depends: R (>= 2.12.0), methods
Imports: digest, stringr (>= 0.4), evaluate (>= 0.4.3)
License: GPL
LazyData: true
Collate: 'auto-test.r' 'colour-text.r' 'context.r' 'expect-that.r'
        'expectation.r' 'expectations.r' 'library.r' 'reporter.r'
        'reporter-minimal.r' 'reporter-stop.r' 'reporter-summary.r'
        'reporter-tap.r' 'reporter-zzz.r' 'test-files.r'
        'test-package.r' 'test-that.r' 'utils.r' 'watcher.r'
        'make-expectation.r'
Packaged: 2013-03-27 13:05:52 UTC; hadley
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-03-27 16:57:40

=== debian/changelog ===
r-cran-testthat (0.7.1-1) unstable; urgency=low

  * Initial release (closes: #733989)

 -- Andreas Tille <tille@debian.org>  Fri, 03 Jan 2014 00:08:47 +0100

=== debian/control ===
Source: r-cran-testthat
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-digest,
               r-cran-stringr,
               r-cran-evaluate
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-testthat/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-testthat/trunk/
Homepage: http://cran.r-project.org/web/packages/testthat

Package: r-cran-testthat
Architecture: all
Depends: ${R:Depends},
         r-cran-digest,
         r-cran-stringr,
         r-cran-evaluate
Description: GNU R testsuite
 Testthat code. Tools to make testing fun.
 .
 A testing package specifically tailored for R that's fun, flexible and
 easy to set up.

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/testthat_([-\d.]*)\.tar\.gz

## r-cran-testthat 0.8.1

=== debian/changelog ===
r-cran-testthat (0.8.1-1) unstable; urgency=medium

  * New upstream version
  * debian/rules: Delete extra license file

 -- Andreas Tille <tille@debian.org>  Sat, 14 Jun 2014 00:15:11 +0200

## r-cran-testthat 0.9.1

=== debian/changelog ===
r-cran-testthat (0.9.1-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * Suggests: r-cran-devtools (former Recommends can not be fullfilled
    until freeze)

 -- Andreas Tille <tille@debian.org>  Mon, 06 Oct 2014 09:03:22 +0200

r-cran-testthat (0.9-1) unstable; urgency=medium

  * New upstream version
  * New upstream version now Architecture: any
  * Add autopkgtest but excluded r-cran-devtools which is not yet packaged
    since it needs four further (Build-)Depends

 -- Andreas Tille <tille@debian.org>  Sat, 27 Sep 2014 19:24:12 +0200

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,19 @@
                r-cran-digest,
                r-cran-stringr,
                r-cran-evaluate
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-testthat/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-testthat/trunk/
 Homepage: http://cran.r-project.org/web/packages/testthat
 
 Package: r-cran-testthat
-Architecture: all
+Architecture: any
 Depends: ${R:Depends},
+         ${shlibs:Depends},
          r-cran-digest,
          r-cran-stringr,
          r-cran-evaluate
+Suggests: r-cran-devtools
 Description: GNU R testsuite
  Testthat code. Tools to make testing fun.
  .

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-devtools
Restrictions: allow-stderr

## r-cran-testthat 0.11.0

=== DESCRIPTION ===
Package: testthat
Version: 0.11.0
Title: Unit Testing for R
Description: A unit testing system designed to be fun, flexible and easy to
    set up.
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", c("aut", "cre")),
    person("RStudio", role = "cph")
    )
URL: https://github.com/hadley/testthat
BugReports: https://github.com/hadley/testthat/issues
Depends: R (>= 3.1.0), methods
Imports: digest, crayon, praise
Suggests: devtools
License: MIT + file LICENSE
Collate: 'auto-test.r' 'colour-text.r' 'compare.r' 'context.r'
        'describe.r' 'evaluate-promise.r' 'expect-that.r'
        'expectation.r' 'expectations-equality.R'
        'expectations-matches.R' 'expectations-old.R'
        'expectations-silent.R' 'expectations.r' 'make-expectation.r'
        'mock.r' 'praise.R' 'reporter.r' 'reporter-check.R'
        'reporter-list.r' 'reporter-minimal.r' 'reporter-multi.r'
        'reporter-rstudio.R' 'reporter-silent.r' 'reporter-stop.r'
        'reporter-summary.r' 'reporter-tap.r' 'reporter-teamcity.r'
        'reporter-zzz.r' 'test-example.R' 'test-files.r'
        'test-package.r' 'test-results.r' 'test-that.r' 'traceback.r'
        'utils.r' 'watcher.r'
NeedsCompilation: yes
Packaged: 2015-10-13 20:53:56 UTC; hadley
Author: Hadley Wickham [aut, cre],
  RStudio [cph]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2015-10-14 09:54:00

=== debian/changelog ===
r-cran-testthat (0.11.0-1) unstable; urgency=medium

  * New upstream version
  * Depends: r-cran-crayon, r-cran-praise

 -- Andreas Tille <tille@debian.org>  Tue, 03 Nov 2015 14:06:32 +0100

r-cran-testthat (0.10.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 08 Jul 2015 08:49:34 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,9 @@
                r-base-dev,
                r-cran-digest,
                r-cran-stringr,
-               r-cran-evaluate
+               r-cran-evaluate,
+               r-cran-crayon,
+               r-cran-praise
 Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-testthat/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-testthat/trunk/
@@ -20,7 +22,9 @@
          ${shlibs:Depends},
          r-cran-digest,
          r-cran-stringr,
-         r-cran-evaluate
+         r-cran-evaluate,
+         r-cran-crayon,
+         r-cran-praise
 Suggests: r-cran-devtools
 Description: GNU R testsuite
  Testthat code. Tools to make testing fun.

## r-cran-testthat 1.0.2

=== debian/changelog ===
r-cran-testthat (1.0.2-2) unstable; urgency=medium

  * Remove r-cran-devtools from test dependencies - tests that are requiring
    this not yet packaged R package are excluded by the test script

 -- Andreas Tille <tille@debian.org>  Thu, 28 Apr 2016 09:28:16 +0200

r-cran-testthat (1.0.2-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * New dependency: r-cran-r6
  * Fix test suite which failed since empty files are removed from the
    doc dir due to some debhelper / cdbs magic

 -- Andreas Tille <tille@debian.org>  Thu, 28 Apr 2016 09:15:24 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,10 @@
                r-cran-stringr,
                r-cran-evaluate,
                r-cran-crayon,
-               r-cran-praise
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-testthat/trunk/
+               r-cran-praise,
+               r-cran-r6
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-testthat/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-testthat/trunk/
 Homepage: http://cran.r-project.org/web/packages/testthat
 
@@ -24,7 +25,8 @@
          r-cran-stringr,
          r-cran-evaluate,
          r-cran-crayon,
-         r-cran-praise
+         r-cran-praise,
+         r-cran-r6
 Suggests: r-cran-devtools
 Description: GNU R testsuite
  Testthat code. Tools to make testing fun.

## r-cran-testthat 2.0.0

=== DESCRIPTION ===
Package: testthat
Title: Unit Testing for R
Version: 2.0.0
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", c("aut", "cre")),
    person("RStudio", role = c("cph", "fnd")),
    person("R Core team", role = "ctb",
      comment = "Implementation of utils::recover()")
    )
Description: Software testing is important, but, in part because it is 
    frustrating and boring, many of us avoid it. 'testthat' is a testing framework 
    for R that is easy learn and use, and integrates with your existing 'workflow'.
License: MIT + file LICENSE
URL: http://testthat.r-lib.org, https://github.com/r-lib/testthat
BugReports: https://github.com/r-lib/testthat/issues
Depends: R (>= 3.1)
Imports: cli, crayon, digest, magrittr, methods, praise, R6 (>= 2.2.0),
        rlang, withr (>= 2.0.0)
Suggests: covr, devtools, knitr, rmarkdown, xml2
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 6.0.1
Collate: 'auto-test.R' 'capture-condition.R' 'capture-output.R'
        'colour-text.R' 'compare.R' 'compare-character.R'
        'compare-numeric.R' 'compare-time.R' 'context.R' 'describe.R'
        'evaluate-promise.R' 'expect-comparison.R' 'expect-equality.R'
        'expect-inheritance.R' 'expect-known.R' 'expect-length.R'
        'expect-logical.R' 'expect-named.R' 'expect-output.R'
        'reporter.R' 'expect-self-test.R' 'expect-that.R'
        'expectation.R' 'expectations-matches.R' 'make-expectation.R'
        'mock.R' 'old-school.R' 'praise.R' 'recover.R'
        'reporter-check.R' 'reporter-debug.R' 'reporter-fail.R'
        'reporter-junit.R' 'reporter-list.R' 'reporter-location.R'
        'reporter-minimal.R' 'reporter-multi.R' 'stack.R'
        'reporter-progress.R' 'reporter-rstudio.R' 'reporter-silent.R'
        'reporter-stop.R' 'reporter-summary.R' 'reporter-tap.R'
        'reporter-teamcity.R' 'reporter-zzz.R' 'skip.R' 'source.R'
        'teardown.R' 'test-compiled-code.R' 'test-directory.R'
        'test-example.R' 'test-files.R' 'test-path.R' 'test-that.R'
        'traceback.R' 'try-again.R' 'utils-io.R' 'utils.R' 'watcher.R'
NeedsCompilation: yes
Packaged: 2017-11-28 16:44:21 UTC; hadley
Author: Hadley Wickham [aut, cre],
  RStudio [cph, fnd],
  R Core team [ctb] (Implementation of utils::recover())
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2017-12-13 09:30:12 UTC

=== debian/changelog ===
r-cran-testthat (2.0.0-3) unstable; urgency=medium

  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Tue, 19 Jun 2018 07:19:11 +0200

r-cran-testthat (2.0.0-2) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtest. (Closes: #892481)
    Thanks to Graham Inggs.
    - Add r-cran-xml2 to tests depends.
    - Run tests in C.UTF-8 instead of C locale.
    - Add a patch to skip a new test which fails on autopkgtest infrastructure.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Sun, 11 Mar 2018 22:49:03 +0100

r-cran-testthat (2.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version (Breaking API changes).
  * Add new Build-Depends: r-cran-cli, r-cran-rlang and r-cran-withr.
  * Update d/changelog.
  * Update long description in d/control.
  * Standards-Version: 4.1.3.
  * Debhelper 11.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Sun, 21 Jan 2018 15:03:00 +0100

r-cran-testthat (1.0.2-3) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * debhelper 10
  * Convert from cdbs to dh-r
  * Secure URI in watch file
  * Canonical homepage for CRAN packages

 -- Andreas Tille <tille@debian.org>  Fri, 20 Oct 2017 14:55:51 +0200

=== debian/control ===
Source: r-cran-testthat
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-cli,
               r-cran-crayon,
               r-cran-digest,
               r-cran-magrittr,
               r-cran-praise,
               r-cran-r6,
               r-cran-rlang,
               r-cran-withr (>= 2.0.0)
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-testthat
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-testthat.git
Homepage: https://cran.r-project.org/package=testthat

Package: r-cran-testthat
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-cran-devtools
Description: GNU R testsuite
 Testthat code. Tools to make testing fun.
 .
 Software testing is important, but, in part because it is frustrating
 and boring, many developers avoid it. 'testthat' is a testing framework for R
 that is easy learn and use, and integrates with your existing 'workflow'.

## r-cran-testthat 2.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: testthat
 Title: Unit Testing for R
-Version: 2.0.0
+Version: 2.0.1
 Authors@R: c(
     person("Hadley", "Wickham", , "hadley@rstudio.com", c("aut", "cre")),
     person("RStudio", role = c("cph", "fnd")),
@@ -16,7 +16,7 @@
 Depends: R (>= 3.1)
 Imports: cli, crayon, digest, magrittr, methods, praise, R6 (>= 2.2.0),
         rlang, withr (>= 2.0.0)
-Suggests: covr, devtools, knitr, rmarkdown, xml2
+Suggests: covr, devtools, knitr, rmarkdown, usethis, xml2
 VignetteBuilder: knitr
 Encoding: UTF-8
 RoxygenNote: 6.0.1
@@ -39,10 +39,10 @@
         'test-example.R' 'test-files.R' 'test-path.R' 'test-that.R'
         'traceback.R' 'try-again.R' 'utils-io.R' 'utils.R' 'watcher.R'
 NeedsCompilation: yes
-Packaged: 2017-11-28 16:44:21 UTC; hadley
+Packaged: 2018-10-12 18:10:12 UTC; jhester
 Author: Hadley Wickham [aut, cre],
   RStudio [cph, fnd],
   R Core team [ctb] (Implementation of utils::recover())
 Maintainer: Hadley Wickham <hadley@rstudio.com>
 Repository: CRAN
-Date/Publication: 2017-12-13 09:30:12 UTC
+Date/Publication: 2018-10-13 08:40:03 UTC

=== debian/changelog ===
r-cran-testthat (2.0.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Sun, 14 Oct 2018 08:35:48 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                r-cran-r6,
                r-cran-rlang,
                r-cran-withr (>= 2.0.0)
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-testthat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-testthat.git
 Homepage: https://cran.r-project.org/package=testthat
@@ -25,8 +25,7 @@
          ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests},
-          r-cran-devtools
+Suggests: ${R:Suggests}
 Description: GNU R testsuite
  Testthat code. Tools to make testing fun.
  .

## r-cran-testthat 2.2.1

=== debian/changelog ===
r-cran-testthat (2.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 27 Jul 2019 09:53:37 +0200

r-cran-testthat (2.2.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Thu, 25 Jul 2019 15:19:30 +0200

r-cran-testthat (2.1.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jul 2019 21:45:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,19 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-cli,
-               r-cran-crayon,
+               r-cran-crayon (>= 1.3.4),
                r-cran-digest,
+               r-cran-evaluate,
                r-cran-magrittr,
                r-cran-praise,
                r-cran-r6,
                r-cran-rlang,
                r-cran-withr (>= 2.0.0)
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-testthat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-testthat.git
 Homepage: https://cran.r-project.org/package=testthat

## r-cran-testthat 2.3.1

=== DESCRIPTION ===
Package: testthat
Title: Unit Testing for R
Version: 2.3.1
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", c("aut", "cre")),
    person("RStudio", role = c("cph", "fnd")),
    person("R Core team", role = "ctb",
      comment = "Implementation of utils::recover()")
    )
Description: Software testing is important, but, in part because it is 
    frustrating and boring, many of us avoid it. 'testthat' is a testing framework 
    for R that is easy to learn and use, and integrates with your existing 'workflow'.
License: MIT + file LICENSE
URL: http://testthat.r-lib.org, https://github.com/r-lib/testthat
BugReports: https://github.com/r-lib/testthat/issues
Depends: R (>= 3.1)
Imports: cli, crayon (>= 1.3.4), digest, ellipsis, evaluate, magrittr,
        methods, pkgload, praise, R6 (>= 2.2.0), rlang (>= 0.4.1),
        withr (>= 2.0.0)
Suggests: covr, curl (>= 0.9.5), devtools, knitr, rmarkdown, usethis,
        vctrs (>= 0.1.0), xml2
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 6.1.1
Collate: 'auto-test.R' 'capture-condition.R' 'capture-output.R'
        'colour-text.R' 'compare.R' 'compare-character.R'
        'compare-numeric.R' 'compare-time.R' 'context.R' 'describe.R'
        'evaluate-promise.R' 'example.R' 'expect-comparison.R'
        'expect-condition.R' 'expect-equality.R' 'expect-inheritance.R'
        'expect-invisible.R' 'expect-known.R' 'expect-length.R'
        'expect-logical.R' 'expect-messages.R' 'expect-named.R'
        'expect-null.R' 'expect-output.R' 'reporter.R'
        'expect-self-test.R' 'expect-setequal.R' 'expect-silent.R'
        'expect-that.R' 'expect-vector.R' 'expectation.R'
        'expectations-matches.R' 'make-expectation.R' 'mock.R'
        'old-school.R' 'praise.R' 'quasi-label.R' 'recover.R'
        'reporter-check.R' 'reporter-debug.R' 'reporter-fail.R'
        'reporter-junit.R' 'reporter-list.R' 'reporter-location.R'
        'reporter-minimal.R' 'reporter-multi.R' 'stack.R'
        'reporter-progress.R' 'reporter-rstudio.R' 'reporter-silent.R'
        'reporter-stop.R' 'reporter-summary.R' 'reporter-tap.R'
        'reporter-teamcity.R' 'reporter-zzz.R' 'skip.R' 'source.R'
        'teardown.R' 'test-compiled-code.R' 'test-directory.R'
        'test-example.R' 'test-files.R' 'test-path.R' 'test-that.R'
        'try-again.R' 'utils-io.R' 'utils.R' 'verify-output.R'
        'watcher.R'
NeedsCompilation: yes
Packaged: 2019-11-19 12:37:52 UTC; lionel
Author: Hadley Wickham [aut, cre],
  RStudio [cph, fnd],
  R Core team [ctb] (Implementation of utils::recover())
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2019-12-01 15:40:03 UTC

=== debian/changelog ===
r-cran-testthat (2.3.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:24:45 +0100

r-cran-testthat (2.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Tue, 24 Dec 2019 07:59:36 +0100

r-cran-testthat (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Fri, 15 Nov 2019 07:13:34 +0100

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,15 @@
                r-cran-cli,
                r-cran-crayon (>= 1.3.4),
                r-cran-digest,
+               r-cran-ellipsis,
                r-cran-evaluate,
                r-cran-magrittr,
+               r-cran-pkgload,
                r-cran-praise,
                r-cran-r6,
-               r-cran-rlang,
+               r-cran-rlang (>= 0.4.1),
                r-cran-withr (>= 2.0.0)
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-testthat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-testthat.git
 Homepage: https://cran.r-project.org/package=testthat

## r-cran-testthat 2.3.2

=== debian/changelog ===
r-cran-testthat (2.3.2-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 31 May 2020 05:55:41 +0000

r-cran-testthat (2.3.2-2) unstable; urgency=medium

  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 18 May 2020 17:24:22 +0200

r-cran-testthat (2.3.2-1) unstable; urgency=medium

  * Team upload.
  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

  [ Dylan Aïssi ]
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Fri, 06 Mar 2020 08:34:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: r-cran-testthat
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Dylan Aïssi <daissi@debian.org>
 Section: gnu-r
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
@@ -17,10 +18,11 @@
                r-cran-r6,
                r-cran-rlang (>= 0.4.1),
                r-cran-withr (>= 2.0.0)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-testthat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-testthat.git
 Homepage: https://cran.r-project.org/package=testthat
+Rules-Requires-Root: no
 
 Package: r-cran-testthat
 Architecture: any

## r-cran-testthat 3.0.1

=== DESCRIPTION ===
Package: testthat
Title: Unit Testing for R
Version: 3.0.1
Authors@R: 
    c(person(given = "Hadley",
             family = "Wickham",
             role = c("aut", "cre"),
             email = "hadley@rstudio.com"),
      person(given = "RStudio",
             role = c("cph", "fnd")),
      person(given = "R Core team",
             role = "ctb",
             comment = "Implementation of utils::recover()"))
Description: Software testing is important, but, in part because
    it is frustrating and boring, many of us avoid it. 'testthat' is a
    testing framework for R that is easy to learn and use, and integrates
    with your existing 'workflow'.
License: MIT + file LICENSE
URL: https://testthat.r-lib.org, https://github.com/r-lib/testthat
BugReports: https://github.com/r-lib/testthat/issues
Depends: R (>= 3.1)
Imports: brio, callr (>= 3.5.1), cli (>= 2.2.0), crayon (>= 1.3.4),
        desc, digest, ellipsis (>= 0.2.0), evaluate, jsonlite,
        lifecycle, magrittr, methods, pkgload, praise, processx, ps (>=
        1.3.4), R6 (>= 2.2.0), rlang (>= 0.4.9), utils, waldo (>=
        0.2.1), withr (>= 2.3.0)
Suggests: covr, curl (>= 0.9.5), diffviewer (>= 0.1.0), knitr, mockery,
        rmarkdown, rstudioapi, shiny, usethis, vctrs (>= 0.1.0), xml2
VignetteBuilder: knitr
Config/testthat/edition: 3
Config/testthat/parallel: true
Config/testthat/start-first: watcher, parallel*
Encoding: UTF-8
RoxygenNote: 7.1.1
NeedsCompilation: yes
Packaged: 2020-12-15 17:55:51 UTC; hadley
Author: Hadley Wickham [aut, cre],
  RStudio [cph, fnd],
  R Core team [ctb] (Implementation of utils::recover())
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2020-12-17 10:00:02 UTC

=== debian/changelog ===
r-cran-testthat (3.0.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jan 2021 17:57:49 +0100

r-cran-testthat (3.0.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Update copyright

 -- Andreas Tille <tille@debian.org>  Mon, 09 Nov 2020 12:58:13 +0100

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,31 @@
 Uploaders: Andreas Tille <tille@debian.org>,
            Dylan Aïssi <daissi@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-cli,
+               r-cran-brio,
+               r-cran-callr (>= 3.5.1),
+               r-cran-cli (>= 2.2.0),
                r-cran-crayon (>= 1.3.4),
+               r-cran-desc,
                r-cran-digest,
                r-cran-ellipsis,
                r-cran-evaluate,
+               r-cran-jsonlite,
+               r-cran-lifecycle,
                r-cran-magrittr,
                r-cran-pkgload,
                r-cran-praise,
+               r-cran-processx,
+               r-cran-ps (>= 1.3.4),
                r-cran-r6,
-               r-cran-rlang (>= 0.4.1),
-               r-cran-withr (>= 2.0.0)
-Standards-Version: 4.5.0
+               r-cran-rlang (>= 0.4.9),
+               r-cran-waldo,
+               r-cran-withr (>= 2.3.0)
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-testthat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-testthat.git
 Homepage: https://cran.r-project.org/package=testthat

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-xml2
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/testthat_([-\d.]*)\.tar\.gz

## r-cran-testthat 3.1.2

=== DESCRIPTION ===
Package: testthat
Title: Unit Testing for R
Version: 3.1.2
Authors@R: 
    c(person(given = "Hadley",
             family = "Wickham",
             role = c("aut", "cre"),
             email = "hadley@rstudio.com"),
      person(given = "RStudio",
             role = c("cph", "fnd")),
      person(given = "R Core team",
             role = "ctb",
             comment = "Implementation of utils::recover()"))
Description: Software testing is important, but, in part because it is
    frustrating and boring, many of us avoid it. 'testthat' is a testing
    framework for R that is easy to learn and use, and integrates with
    your existing 'workflow'.
License: MIT + file LICENSE
URL: https://testthat.r-lib.org, https://github.com/r-lib/testthat
BugReports: https://github.com/r-lib/testthat/issues
Depends: R (>= 3.1)
Imports: brio, callr (>= 3.5.1), cli (>= 2.2.0), crayon (>= 1.3.4),
        desc, digest, ellipsis (>= 0.2.0), evaluate, jsonlite,
        lifecycle, magrittr, methods, pkgload, praise, processx, ps (>=
        1.3.4), R6 (>= 2.2.0), rlang (>= 0.4.9), utils, waldo (>=
        0.2.4), withr (>= 2.4.3)
Suggests: covr, curl (>= 0.9.5), diffviewer (>= 0.1.0), knitr, mockery,
        rmarkdown, rstudioapi, shiny, usethis, vctrs (>= 0.1.0), xml2
VignetteBuilder: knitr
Config/testthat/edition: 3
Config/testthat/start-first: watcher, parallel*
Config/Needs/website: tidyverse/tidytemplate
Encoding: UTF-8
RoxygenNote: 7.1.2
NeedsCompilation: yes
Packaged: 2022-01-20 21:10:39 UTC; hadleywickham
Author: Hadley Wickham [aut, cre],
  RStudio [cph, fnd],
  R Core team [ctb] (Implementation of utils::recover())
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2022-01-20 22:40:02 UTC

=== debian/changelog ===
r-cran-testthat (3.1.2-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Add missing build dependency on dh addon.

 -- Andreas Tille <tille@debian.org>  Sun, 23 Jan 2022 18:28:43 +0100

r-cran-testthat (3.1.1-1) unstable; urgency=medium

  * New upstream version
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-cran-callr, r-cran-cli,
      r-cran-ps, r-cran-rlang and r-cran-withr.

 -- Andreas Tille <tille@debian.org>  Fri, 10 Dec 2021 11:38:52 +0100

r-cran-testthat (3.1.0-2) unstable; urgency=medium

  * Fix d/copyright:
    - Change license to MIT
    - Mention catch.hpp

 -- Nilesh Patra <nilesh@debian.org>  Fri, 15 Oct 2021 19:24:25 +0000

r-cran-testthat (3.1.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Add myself to uploaders
  * d/t/control: Add r-cran-mockery to test depends

 -- Nilesh Patra <nilesh@debian.org>  Fri, 15 Oct 2021 18:46:19 +0000

r-cran-testthat (3.0.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 15 Aug 2021 13:39:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: r-cran-testthat
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>,
-           Dylan Aïssi <daissi@debian.org>
+           Dylan Aïssi <daissi@debian.org>,
+           Nilesh Patra <nilesh@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
@@ -11,7 +12,7 @@
                r-cran-brio,
                r-cran-callr (>= 3.5.1),
                r-cran-cli (>= 2.2.0),
-               r-cran-crayon (>= 1.3.4),
+               r-cran-crayon,
                r-cran-desc,
                r-cran-digest,
                r-cran-ellipsis,
@@ -25,9 +26,10 @@
                r-cran-ps (>= 1.3.4),
                r-cran-r6,
                r-cran-rlang (>= 0.4.9),
-               r-cran-waldo,
-               r-cran-withr (>= 2.3.0)
-Standards-Version: 4.5.1
+               r-cran-waldo (>= 0.2.4),
+               r-cran-withr (>= 2.4.3),
+               debhelper
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-testthat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-testthat.git
 Homepage: https://cran.r-project.org/package=testthat

## r-cran-testthat 3.1.4

=== debian/changelog ===
r-cran-testthat (3.1.4-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 07 May 2022 09:47:30 +0200

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                r-base-dev,
                r-cran-brio,
                r-cran-callr (>= 3.5.1),
-               r-cran-cli (>= 2.2.0),
-               r-cran-crayon,
+               r-cran-cli (>= 3.3.0),
+               r-cran-crayon (>= 1.3.4),
                r-cran-desc,
                r-cran-digest,
-               r-cran-ellipsis,
+               r-cran-ellipsis (>= 0.2.0),
                r-cran-evaluate,
                r-cran-jsonlite,
                r-cran-lifecycle,
@@ -24,11 +24,10 @@
                r-cran-praise,
                r-cran-processx,
                r-cran-ps (>= 1.3.4),
-               r-cran-r6,
-               r-cran-rlang (>= 0.4.9),
-               r-cran-waldo (>= 0.2.4),
-               r-cran-withr (>= 2.4.3),
-               debhelper
+               r-cran-r6 (>= 2.2.0),
+               r-cran-rlang (>= 1.0.1),
+               r-cran-waldo (>= 0.4.0),
+               r-cran-withr (>= 2.4.3)
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-testthat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-testthat.git

## r-cran-testthat 3.1.6

=== DESCRIPTION ===
Package: testthat
Title: Unit Testing for R
Version: 3.1.6
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
    person("RStudio", role = c("cph", "fnd")),
    person("R Core team", role = "ctb",
           comment = "Implementation of utils::recover()")
  )
Description: Software testing is important, but, in part because it is
    frustrating and boring, many of us avoid it. 'testthat' is a testing
    framework for R that is easy to learn and use, and integrates with
    your existing 'workflow'.
License: MIT + file LICENSE
URL: https://testthat.r-lib.org, https://github.com/r-lib/testthat
BugReports: https://github.com/r-lib/testthat/issues
Depends: R (>= 3.1)
Imports: brio, callr (>= 3.5.1), cli (>= 3.4.0), desc, digest, ellipsis
        (>= 0.2.0), evaluate, jsonlite, lifecycle, magrittr, methods,
        pkgload, praise, processx, ps (>= 1.3.4), R6 (>= 2.2.0), rlang
        (>= 1.0.1), utils, waldo (>= 0.4.0), withr (>= 2.4.3)
Suggests: covr, curl (>= 0.9.5), diffviewer (>= 0.1.0), knitr, mockery,
        rmarkdown, rstudioapi, shiny, usethis, vctrs (>= 0.1.0), xml2
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Config/testthat/start-first: watcher, parallel*
Encoding: UTF-8
RoxygenNote: 7.2.1.9000
NeedsCompilation: yes
Packaged: 2022-12-08 22:26:26 UTC; hadleywickham
Author: Hadley Wickham [aut, cre],
  RStudio [cph, fnd],
  R Core team [ctb] (Implementation of utils::recover())
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2022-12-09 23:40:02 UTC

=== debian/changelog ===
r-cran-testthat (3.1.6-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 12 Dec 2022 14:13:48 +0100

r-cran-testthat (3.1.5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Tue, 11 Oct 2022 13:25:04 +0200

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,10 @@
                r-base-dev,
                r-cran-brio,
                r-cran-callr (>= 3.5.1),
-               r-cran-cli (>= 3.3.0),
-               r-cran-crayon (>= 1.3.4),
+               r-cran-cli (>= 3.4.0),
                r-cran-desc,
                r-cran-digest,
-               r-cran-ellipsis (>= 0.2.0),
+               r-cran-ellipsis,
                r-cran-evaluate,
                r-cran-jsonlite,
                r-cran-lifecycle,
@@ -24,11 +23,11 @@
                r-cran-praise,
                r-cran-processx,
                r-cran-ps (>= 1.3.4),
-               r-cran-r6 (>= 2.2.0),
+               r-cran-r6,
                r-cran-rlang (>= 1.0.1),
                r-cran-waldo (>= 0.4.0),
                r-cran-withr (>= 2.4.3)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-testthat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-testthat.git
 Homepage: https://cran.r-project.org/package=testthat

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-xml2, r-cran-mockery
Restrictions: allow-stderr

## r-cran-testthat 3.1.10

=== debian/changelog ===
r-cran-testthat (3.1.10-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jul 2023 17:43:44 +0200

r-cran-testthat (3.1.9-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 28 Jun 2023 15:10:38 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-r,
                r-base-dev,
                r-cran-brio,
-               r-cran-callr (>= 3.5.1),
+               r-cran-callr,
                r-cran-cli (>= 3.4.0),
                r-cran-desc,
                r-cran-digest,
@@ -19,15 +19,15 @@
                r-cran-jsonlite,
                r-cran-lifecycle,
                r-cran-magrittr,
-               r-cran-pkgload,
+               r-cran-pkgload (>= 1.3.0),
                r-cran-praise,
-               r-cran-processx,
-               r-cran-ps (>= 1.3.4),
+               r-cran-processx (>= 3.8.2),
+               r-cran-ps,
                r-cran-r6,
-               r-cran-rlang (>= 1.0.1),
-               r-cran-waldo (>= 0.4.0),
+               r-cran-rlang (>= 1.1.0),
+               r-cran-waldo (>= 0.5.0),
                r-cran-withr (>= 2.4.3)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-testthat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-testthat.git
 Homepage: https://cran.r-project.org/package=testthat

## r-cran-testthat 3.2.1

=== DESCRIPTION ===
Package: testthat
Title: Unit Testing for R
Version: 3.2.1
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@posit.co", role = c("aut", "cre")),
    person("Posit Software, PBC", role = c("cph", "fnd")),
    person("R Core team", role = "ctb",
           comment = "Implementation of utils::recover()")
  )
Description: Software testing is important, but, in part because it is
    frustrating and boring, many of us avoid it. 'testthat' is a testing
    framework for R that is easy to learn and use, and integrates with
    your existing 'workflow'.
License: MIT + file LICENSE
URL: https://testthat.r-lib.org, https://github.com/r-lib/testthat
BugReports: https://github.com/r-lib/testthat/issues
Depends: R (>= 3.6.0)
Imports: brio (>= 1.1.3), callr (>= 3.7.3), cli (>= 3.6.1), desc (>=
        1.4.2), digest (>= 0.6.33), evaluate (>= 0.21), jsonlite (>=
        1.8.7), lifecycle (>= 1.0.3), magrittr (>= 2.0.3), methods,
        pkgload (>= 1.3.2.1), praise (>= 1.0.0), processx (>= 3.8.2),
        ps (>= 1.7.5), R6 (>= 2.5.1), rlang (>= 1.1.1), utils, waldo
        (>= 0.5.1), withr (>= 2.5.0)
Suggests: covr, curl (>= 0.9.5), diffviewer (>= 0.1.0), knitr,
        rmarkdown, rstudioapi, shiny, usethis, vctrs (>= 0.1.0), xml2
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Config/testthat/parallel: true
Config/testthat/start-first: watcher, parallel*
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: yes
Packaged: 2023-11-30 22:07:21 UTC; hadleywickham
Author: Hadley Wickham [aut, cre],
  Posit Software, PBC [cph, fnd],
  R Core team [ctb] (Implementation of utils::recover())
Maintainer: Hadley Wickham <hadley@posit.co>
Repository: CRAN
Date/Publication: 2023-12-02 11:50:05 UTC

=== debian/changelog ===
r-cran-testthat (3.2.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 09:37:58 +0100

r-cran-testthat (3.2.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 17 Oct 2023 15:26:19 +0200

=== debian/control ===
--- 
+++ 
@@ -9,24 +9,23 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-brio,
-               r-cran-callr,
-               r-cran-cli (>= 3.4.0),
-               r-cran-desc,
-               r-cran-digest,
-               r-cran-ellipsis,
-               r-cran-evaluate,
-               r-cran-jsonlite,
-               r-cran-lifecycle,
-               r-cran-magrittr,
-               r-cran-pkgload (>= 1.3.0),
+               r-cran-brio (>= 1.1.3),
+               r-cran-callr (>= 3.7.3),
+               r-cran-cli (>= 3.6.1),
+               r-cran-desc (>= 1.4.2),
+               r-cran-digest (>= 0.6.33),
+               r-cran-evaluate (>= 0.21),
+               r-cran-jsonlite (>= 1.8.7),
+               r-cran-lifecycle (>= 1.0.3),
+               r-cran-magrittr (>= 2.0.3),
+               r-cran-pkgload (>= 1.3.2.1),
                r-cran-praise,
                r-cran-processx (>= 3.8.2),
-               r-cran-ps,
-               r-cran-r6,
-               r-cran-rlang (>= 1.1.0),
-               r-cran-waldo (>= 0.5.0),
-               r-cran-withr (>= 2.4.3)
+               r-cran-ps (>= 1.7.5),
+               r-cran-r6 (>= 2.5.1),
+               r-cran-rlang (>= 1.1.1),
+               r-cran-waldo (>= 0.5.1),
+               r-cran-withr (>= 2.5.0)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-testthat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-testthat.git

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-curl (>= 0.9.5),
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-rstudioapi,
        r-cran-shiny,
        r-cran-usethis,
        r-cran-vctrs (>= 0.1.0),
        r-cran-xml2
Restrictions: allow-stderr

## r-cran-testthat 3.2.1.1

=== debian/changelog ===
r-cran-testthat (3.2.1.1-1) unstable; urgency=medium

  * New upstream version
    Closes: #1072634
  * Drop Nilesh from Uploaders as requested.  Thanks a lot for your work
    on this package Nilesh
  * Standards-Version: 4.7.0 (routine-update)
  * Make sure autopkgtest recreates zero byte files properly
  * debian/tests/run-unit-test: s/LC_ALL=C.UTF-8 //
    -> LC_ALL should not be set to let all tests pass

 -- Andreas Tille <tille@debian.org>  Thu, 04 Jul 2024 15:52:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: r-cran-testthat
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>,
-           Dylan Aïssi <daissi@debian.org>,
-           Nilesh Patra <nilesh@debian.org>
+           Dylan Aïssi <daissi@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
@@ -26,7 +25,7 @@
                r-cran-rlang (>= 1.1.1),
                r-cran-waldo (>= 0.5.1),
                r-cran-withr (>= 2.5.0)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-testthat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-testthat.git
 Homepage: https://cran.r-project.org/package=testthat

## r-cran-testthat 3.2.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: testthat
 Title: Unit Testing for R
-Version: 3.2.1
+Version: 3.2.3
 Authors@R: c(
     person("Hadley", "Wickham", , "hadley@posit.co", role = c("aut", "cre")),
     person("Posit Software, PBC", role = c("cph", "fnd")),
@@ -16,25 +16,26 @@
 BugReports: https://github.com/r-lib/testthat/issues
 Depends: R (>= 3.6.0)
 Imports: brio (>= 1.1.3), callr (>= 3.7.3), cli (>= 3.6.1), desc (>=
-        1.4.2), digest (>= 0.6.33), evaluate (>= 0.21), jsonlite (>=
+        1.4.2), digest (>= 0.6.33), evaluate (>= 1.0.1), jsonlite (>=
         1.8.7), lifecycle (>= 1.0.3), magrittr (>= 2.0.3), methods,
         pkgload (>= 1.3.2.1), praise (>= 1.0.0), processx (>= 3.8.2),
         ps (>= 1.7.5), R6 (>= 2.5.1), rlang (>= 1.1.1), utils, waldo
-        (>= 0.5.1), withr (>= 2.5.0)
+        (>= 0.6.0), withr (>= 3.0.2)
 Suggests: covr, curl (>= 0.9.5), diffviewer (>= 0.1.0), knitr,
-        rmarkdown, rstudioapi, shiny, usethis, vctrs (>= 0.1.0), xml2
+        rmarkdown, rstudioapi, S7, shiny, usethis, vctrs (>= 0.1.0),
+        xml2
 VignetteBuilder: knitr
 Config/Needs/website: tidyverse/tidytemplate
 Config/testthat/edition: 3
 Config/testthat/parallel: true
 Config/testthat/start-first: watcher, parallel*
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 NeedsCompilation: yes
-Packaged: 2023-11-30 22:07:21 UTC; hadleywickham
+Packaged: 2025-01-11 00:11:30 UTC; hadleywickham
 Author: Hadley Wickham [aut, cre],
   Posit Software, PBC [cph, fnd],
   R Core team [ctb] (Implementation of utils::recover())
 Maintainer: Hadley Wickham <hadley@posit.co>
 Repository: CRAN
-Date/Publication: 2023-12-02 11:50:05 UTC
+Date/Publication: 2025-01-13 11:20:03 UTC

=== tests/testthat/test-parallel/fail/DESCRIPTION ===
Package: ok
Title: What the Package Does (One Line, Title Case)
Version: 0.0.0.9000
Authors@R: 
    person(given = "First",
           family = "Last",
           role = c("aut", "cre"),
           email = "first.last@example.com",
           comment = c(ORCID = "YOUR-ORCID-ID"))
Description: What the package does (one paragraph).
License: `use_mit_license()`, `use_gpl3_license()` or friends to
    pick a license
Encoding: UTF-8
LazyData: true
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.1.1
Suggests: 
    testthat
Config/testthat/parallel: true
Config/testthat/edition: 3

=== tests/testthat/test-parallel/outside/DESCRIPTION ===
Package: outside
Title: What the Package Does (One Line, Title Case)
Version: 0.0.0.9000
Authors@R: 
    person(given = "First",
           family = "Last",
           role = c("aut", "cre"),
           email = "first.last@example.com",
           comment = c(ORCID = "YOUR-ORCID-ID"))
Description: What the package does (one paragraph).
License: `use_mit_license()`, `use_gpl3_license()` or friends to
    pick a license
Encoding: UTF-8
LazyData: true
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.1.1
Suggests: 
    testthat
Config/testthat/parallel: true
Config/testthat/edition: 3

=== tests/testthat/test-parallel/setup/DESCRIPTION ===
Package: setup
Title: What the Package Does (One Line, Title Case)
Version: 0.0.0.9000
Authors@R: 
    person(given = "First",
           family = "Last",
           role = c("aut", "cre"),
           email = "first.last@example.com",
           comment = c(ORCID = "YOUR-ORCID-ID"))
Description: What the package does (one paragraph).
License: `use_mit_license()`, `use_gpl3_license()` or friends to
    pick a license
Encoding: UTF-8
LazyData: true
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.1.1
Suggests: 
    testthat
Config/testthat/parallel: true
Config/testthat/edition: 3

=== tests/testthat/test-parallel/teardown/DESCRIPTION ===
Package: teardown
Title: What the Package Does (One Line, Title Case)
Version: 0.0.0.9000
Authors@R: 
    person(given = "First",
           family = "Last",
           role = c("aut", "cre"),
           email = "first.last@example.com",
           comment = c(ORCID = "YOUR-ORCID-ID"))
Description: What the package does (one paragraph).
License: `use_mit_license()`, `use_gpl3_license()` or friends to
    pick a license
Encoding: UTF-8
LazyData: true
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.1.1
Suggests: 
    testthat
Config/testthat/parallel: true
Config/testthat/edition: 3

=== debian/changelog ===
r-cran-testthat (3.2.3-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * d/tests/control: depends on the new r-cran-s7 package

 -- Charles Plessy <plessy@debian.org>  Mon, 03 Feb 2025 09:12:33 +0900

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                r-cran-cli (>= 3.6.1),
                r-cran-desc (>= 1.4.2),
                r-cran-digest (>= 0.6.33),
-               r-cran-evaluate (>= 0.21),
+               r-cran-evaluate (>= 1.0.1),
                r-cran-jsonlite (>= 1.8.7),
                r-cran-lifecycle (>= 1.0.3),
                r-cran-magrittr (>= 2.0.3),
@@ -23,8 +23,8 @@
                r-cran-ps (>= 1.7.5),
                r-cran-r6 (>= 2.5.1),
                r-cran-rlang (>= 1.1.1),
-               r-cran-waldo (>= 0.5.1),
-               r-cran-withr (>= 2.5.0)
+               r-cran-waldo (>= 0.6.0),
+               r-cran-withr (>= 3.0.2)
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-testthat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-testthat.git

=== debian/tests/control ===
--- 
+++ 
@@ -8,5 +8,6 @@
         r-cran-shiny,
         r-cran-usethis,
         r-cran-vctrs (>= 0.1.0),
-        r-cran-xml2
+        r-cran-xml2,
+        r-cran-s7
 Restrictions: allow-stderr
